package org.academiadecodigo.bootcamp11.rockpaperscissors;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */
public class Main {
    public static void main(String[] args) {
        int maxRounds = 3;
        Flavor flavor = Flavor.RPSLS;

        System.out.println("Let's decide this with " + flavor.getLongName());

        System.out.println("The winner is the first to " + (maxRounds/2+1) + ".");
        System.out.println("Ties reset the round.");
        Player playerOne = new Player("Ivan");
        Player playerTwo = new Player("Ricardo");

        Game rps = new Game(maxRounds, playerOne, playerTwo, flavor);
        rps.start();
    }
}
